> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one folder

> Returns a single accounting folder (company or dossier) by its ID from the accounting system.

**Learn more:**

* What is a folder? [↗](/unified-apis/accounting/glossary/folder)
* How to work with multiple companies in one integration? [↗](/unified-apis/accounting/guides-and-behaviours/folders)


## OpenAPI

````yaml get /consumers/{consumer_id}/accounting/folders/{folder_id}
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/accounting/folders/{folder_id}:
    get:
      tags:
        - Accounting
        - Folders
      summary: Get one folder
      description: >-
        Returns a single accounting folder (company or dossier) by its ID from
        the accounting system.
      operationId: accounting_get_folder
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: folder_id
          in: path
          required: true
          schema:
            type: string
            title: Folder Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FolderItem'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - accounting
            - accounting.read
            - accounting.folders
            - accounting.folders.read
            - '200'
            - 200.r
            - 200.folders
            - 200.folders.r
components:
  schemas:
    FolderItem:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        selected:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Selected
          description: >-
            Indicates whether the folder was selected during the Chift
            activation process. Only selected folders can be used in subsequent
            requests. Requests targeting a folder that was not selected will be
            rejected. If only one folder is selected, it will be used by default
            when no folder is specified in the request.
          default: true
        active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Active
          description: >-
            Indicates whether the folder is currently active in the target
            accounting software. Requests targeting an inactive folder will fail
            on the target software side.
          default: true
        vat:
          anyOf:
            - type: string
            - type: 'null'
          title: Vat
        company_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Number
        main_currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Main Currency
          description: 'Format: ISO 3166-1 codes.'
        addresses:
          anyOf:
            - items:
                $ref: '#/components/schemas/FolderAddressItem'
              type: array
            - type: 'null'
          title: Addresses
      type: object
      required:
        - id
        - name
      title: FolderItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    FolderAddressItem:
      properties:
        street:
          anyOf:
            - type: string
            - type: 'null'
          title: Street
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: Number
        box:
          anyOf:
            - type: string
            - type: 'null'
          title: Box
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: 'Format: ISO 3166-1 codes.'
      type: object
      title: FolderAddressItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````